Download Object Record Attachments Export File
Download the export file parts generated by Export Object Record Attachments.
GET
/api/{version}/vobjects/{object_name}/attachments/files/{file_part_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object from which attachments were exported. |
{file_part_name} | The name of the exported file part. For example, 1636883-1221701-product__v.001. Obtain this from the Retrieve Object Record Attachments Export Results request. |
Request
Section link for Requestcurl -X GET -H "Authorization: {AUTH_VALUE}" \
https://myvault.veevavault.com/api/v26.3/vobjects/product__v/attachments/files/1636883-1221701-product__v.001Response
Section link for ResponseContent-Type: application/octet-stream;charset=UTF-8
Content-Disposition:attachment;filename="1636883-1235401-product__v.tar.gz.001"Response Details
Section link for Response DetailsOn SUCCESS, Vault downloads the export file part for the specified object records attachments. The export file part is named with the following format: {user_id}-{job_id}-{object_name}.tar.gz.{file_part}. If the export file has only one part, you can rename this without the .{file_part} extension.